Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Interface XExecutableMember

All Superinterfaces:
  Comparable, Named, XMember, XProgramElement

All Known Subinterfaces:
  XConstructor, XMethod

All Known Implementing Classes:
  AbstractExecutableMember, ConstructorImpl, MethodImpl

public interface XExecutableMember
extends XMember

Common functionality for methods and constructors.

Author:
  Ara Abrahamian, Aslak Hellesøy

Method Summary
`String` | `getNameWithSignature(boolean withParam)` Gets the name and signature
`List` | `getParameters()` Returns the parameters.
`String` | `getParameterTypes()` Returns the parameters as a comma separated list of classes.
`String` | `getSignature(boolean withParam)` Returns the signature.
`List` | `getThrownExceptions()` Returns the thrown exception classes.
`boolean` | `isConstructor()` Return true if this is a constructor.
`boolean` | `isNative()`
`boolean` | `isSynchronized()`
`boolean` | `throwsException(String exception_class_name)` Return true if the member throws the specified exception in its throws block.

Methods inherited from interface xjavadoc.XProgramElement
`getContainingClass, getContainingPackage, getDoc, getModifiers, getModifierSpecifier, getSuperElement, getSuperInterfaceElements, getXJavaDoc, isAbstract, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, updateDoc`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface xjavadoc.Named
`getName`

Method Detail

### isNative

    public boolean isNative()

### isSynchronized

    public boolean isSynchronized()

### getParameters

    public List getParameters()

  Returns the parameters.

  Returns:
    a Collection of `XParameter`.

### getThrownExceptions

    public List getThrownExceptions()

  Returns the thrown exception classes.

  Returns:
    a Collection of `XClass`.

### throwsException

    public boolean throwsException(String exception_class_name)

  Return true if the member throws the specified exception in its throws block.

  Parameters:
    `exception_class_name` -
  Returns:
    true if the member throws the exception

### isConstructor

    public boolean isConstructor()

  Return true if this is a constructor.

  Returns:
    true if this is a constructor.

### getSignature

    public String getSignature(boolean withParam)

  Returns the signature. E.g. `(java.lang.String,int)` or `(java.lang.String foo,int bar)`.

  Parameters:
    `withParam` - whether or not to include the parameter names in the signature.
  Returns:
    the signature.

### getNameWithSignature

    public String getNameWithSignature(boolean withParam)

  Gets the name and signature

  Parameters:
    `withParam` - whether or not to include the parameter names in the signature.
  Returns:
    the name and signature

### getParameterTypes

    public String getParameterTypes()

  Returns the parameters as a comma separated list of classes. E.g. a method with signature `(java.lang.String,int)` would return `java.lang.String.class, java.lang.Integer.TYPE`.

  Returns:
    comma separated list of types for all parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.